FreeMat

- Main Page
- Related Pages

vtkXMLPPolyDataWriter

Section: Visualization Toolkit IO Classes

# Usage

vtkXMLPPolyDataWriter writes the PVTK XML PolyData file format. One poly data input can be written into a parallel file format with any number of pieces spread across files. The standard extension for this writer's file format is "pvtp". This writer uses vtkXMLPolyDataWriter to write the individual piece files.

To create an instance of class vtkXMLPPolyDataWriter, simply invoke its constructor as follows

      obj = vtkXMLPPolyDataWriter

# Methods

The class vtkXMLPPolyDataWriter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkXMLPPolyDataWriter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkXMLPPolyDataWriter = obj.NewInstance ()`
- `vtkXMLPPolyDataWriter = obj.SafeDownCast (vtkObject o)`
- `string = obj.GetDefaultFileExtension ()` - Get the default file extension for files written by this writer.